<ui:composition
        xmlns:s="http://jboss.org/schema/seam/taglib"
        xmlns:h="http://java.sun.com/jsf/html" xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:a4j="http://richfaces.org/a4j"
        xmlns="http://www.w3.org/1999/xhtml" template="layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            <s:div id="title" rendered="#{not applicationConfigurationManager.isUserAllowedAsAdmin()}">
                <h1>
                    <h:outputText value="#{homeManagerBean.selectedHome.homeTitle}"
                                  rendered="#{not empty homeManagerBean.selectedHome.homeTitle}"/>
                    <h:outputText value="#{messages['gazelle.simulator.noTitleDefined']}"
                                  rendered="#{empty homeManagerBean.selectedHome.homeTitle}"/>
                </h1>
            </s:div>
            <s:div id="titleForAdmin" rendered="#{applicationConfigurationManager.isUserAllowedAsAdmin()}">
                <h1>
                    <h:outputText value="#{homeManagerBean.selectedHome.homeTitle}"
                                  rendered="#{not homeManagerBean.editTitle}"/>
                    <small>
                        <a4j:commandLink actionListener="#{homeManagerBean.setEditTitle('true')}"
                                         render="titleForAdmin" title="#{messages['net.ihe.gazelle.simulators.EditTitle']}"
                                         rendered="#{not homeManagerBean.editTitle}">
                            <s:span styleClass="gzl-icon-pencil"/>
                        </a4j:commandLink>
                    </small>
                    <h:inputText value="#{homeManagerBean.selectedHome.homeTitle}"
                                 styleClass="form-control"
                                 rendered="#{homeManagerBean.editTitle}"/>
                    <a4j:commandButton value="#{messages['gazelle.simu.Update']}" styleClass="gzl-btn-green"
                                       actionListener="#{homeManagerBean.save()}"
                                       render="titleForAdmin" rendered="#{homeManagerBean.editTitle}"/>
                    <a4j:commandButton value="#{messages['users.Cancel']}" styleClass="gzl-btn-orange"
                                       actionListener="#{homeManagerBean.cancel()}"
                                       render="titleForAdmin" rendered="#{homeManagerBean.editTitle}"/>
                </h1>
            </s:div>
            <ui:decorate template="/layout/panels/_panel.xhtml">
                <a4j:commandButton
                        styleClass="gzl-btn-blue"
                        rendered="#{applicationConfigurationManager.isUserAllowedAsAdmin() and not homeManagerBean.mainContentEditMode}"
                        value="#{messages['gazelle.simulator.editMainContent']}"
                        actionListener="#{homeManagerBean.editMainContent()}" render="globalForm"/>
                <h:outputText value="#{homeManagerBean.selectedHome.mainContent}"
                              rendered="#{not homeManagerBean.mainContentEditMode and not empty homeManagerBean.selectedHome.mainContent}"
                              escape="false"/>
                <h:outputText value="#{messages['gazelle.simulator.noHomeContent']}"
                              rendered="#{not homeManagerBean.mainContentEditMode and empty homeManagerBean.selectedHome.mainContent}"/>
                <s:decorate template="/layout/editor/_text_editor.xhtml"
                            rendered="#{homeManagerBean.mainContentEditMode}">
                    <ui:param name="text" value="#{homeManagerBean.selectedHome.mainContent}"/>
                    <ui:param name="id" value="mainContentRegion"/>
                </s:decorate>
                <a4j:commandButton value="#{messages['gazelle.simu.Update']}"
                                   rendered="#{homeManagerBean.mainContentEditMode}"
                                   actionListener="#{homeManagerBean.save()}"
                                   render="globalForm"
                                   styleClass="gzl-btn-green"/>
            </ui:decorate>
        </h:form>
    </ui:define>
</ui:composition>
